PROGRAM myreshape

  REAL, DIMENSION(4) :: a = (/ 1,2,3,4 /)
  REAL, DIMENSION(2,2) :: b

  WRITE(*,*) 'SHAPE(a) = ',SHAPE(a)
  b = RESHAPE(a, (/2,2/))
  WRITE(*,*) 'SHAPE(b) = ',SHAPE(b)

END PROGRAM myreshape
